package org.project.entity.enemies;

import org.project.entity.players.Player;

import java.util.Random;

public class Dragon extends Enemy{
    public Dragon() {
        super(250, 58);
    }

    @Override
    public int attack() {
        if(new Random().nextInt(100) < 35)
        {
            return 100;
        }
        return super.getDamage();
    }

    @Override
    public void dropKey(Player player) {
        return;
    }
}
